#
# spec file for package perl-File-Find-Rule
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name File-Find-Rule

Name:           perl-%cpan_name
Version:        0.32
Release:        3.pm.10.1
Provides:       %cpan_name
Requires:       perl-Number-Compare perl-Text-Glob
Group:          Development/Libraries/Perl
License:        GPL-1.0+ or Artistic
Url:            http://search.cpan.org/dist/File-Find-Rule/
Summary:        Alternative interface to File::Find
Source:         %cpan_name-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-Number-Compare perl-Text-Glob
BuildRequires:  perl-macros

%description
File::Find::Rule is a friendlier interface to File::Find. It allows you to build rules which specify the desired files and directories.

%prep
%setup -q -n %cpan_name-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
# clean up the hard disc after build
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/findrule*
%doc %{_mandir}/man?/*
%{perl_vendorlib}/File
%{perl_vendorarch}/auto/File
%doc Changes MANIFEST README 

%changelog
* Fri Jun 17 2011 vcizek@novell.com
- license correction (same as Perl)
* Tue Jan 11 2011 vcizek@novell.com
- update to 0.32
  Rework the referencing of anyonymous subroutines internally,
    closes RT#46599 (Reported by Kevin Ryde)
  Move to Makefile.PL
    use Test::Differences in the testsuite if available.
  Rearrange the testsuite so you don't keep tripping over yourself.
  Dropped 5.00503 backwards compatibility, allows some 5.6isms and
    dropping the shonky Cwd code.
  All taint 'bugs' are now the same as the behaviour of File::Find,
    documentation has been added to describe this.
- bzipped tarball
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.30
